WHOIS(1)

NUME
whois - client pentru serviciul de director whois

SINOPSIS
whois [ { -h | --host } GAZDĂ ] [ { -p | --port } PORT ] [ -abBcdGHIKlLmMrRx ] [ -g SURSA:PRIMA-ULTIMA ] [ -i ATRIBUT[,ATRIBUT]... ] [ -s SURSĂ[,SURSĂ]... ] [ -T TIP[,TIP]... ] [ --verbose [ --no-recursion ] OBIECT

whois -q CUVĂNT_CHEIE

whois -t TIP

whois -v TIP

whois --help

whois --version

DESCRIERE
whois caută un obiect într-o bază de date RFC 3912.

Această versiune a clientului «whois» încearcă să ghicească serverul potrivit pentru a solicita obiectul specificat. Dacă nu se poate ghici, se va conecta la whois.networksolutions.com pentru adrese NIC sau whois.arin.net pentru adrese IPv4 și nume de rețea.

OPȚIUNI

-h .IR GAZDA ,
    --host=GAZDA Conectare la GAZDA.

-H  Nu afișează clauzele legale de renunțare la răspundere pe care unele registre le afișează cu plăcere.

-p .IR PORT ,
    --port=PORT Conectare la PORT.

-I  Mai întâi se interoghează whois.iana.org și apoi se urmărește trimiterea acestuia la serverul whois autorizat pentru cererea respectivă. Acest lucru funcționează pentru adrese IP, numere AS și domenii. ATENȚIE: acest lucru implică faptul că serverul IANA va primi interogarea dvs. completă.

--no-recursion
    Dezactivează recursivitatea din registru către serverele de înregistrare.

--verbose
    Oferă informații detaliate la ieșire.

--help
    Afișează ajutorul online.

--version
    Afișează versiunea programului, apoi iese.

Alte opțiuni sunt fanioanele înțelese de whois.ripe.net și de alte servere de tip RIPE:

-a  De asemenea, caută în toate bazele de date oglindite.

-b  Returnează intervale scurte de adrese IP cu contactul abuziv.

-B  Dezactivează filtrarea obiectelor; (afișează adresele de poștă electronică).

-c  Returnează cel mai mic interval de adrese IP cu o referință la un obiect „irt”.

-d  Returnează și obiectul de delegare DNS inversat.

-g .I SURSA:PRIMA-ULTIMA
    Caută actualizări din baza de date SURSA între numărul de serie al actualizării PRIMA și ULTIMA. Este util pentru a obține fluxul de oglindire în timp aproape real.

-G  Dezactivează gruparea obiectelor asociate.

-i .IR ATRIBUT [,ATRIBUT]...
    Efectuează o căutare inversă a obiectelor cu atribute asociate. ATRIBUT este numele atributului, în timp ce argumentul pozițional OBIECT este valoarea atributului.

-K  Returnează numai atributele cu cheie primară. O excepție este atributul members al obiectelor definite, care este întotdeauna returnat. O altă excepție sunt toate atributele obiectelor organisation, person și role, care nu sunt niciodată returnate.

-l  Returnează obiectul cu un nivel mai puțin specific.

-L  Returnează toate nivelurile de obiecte mai puțin specifice.

-m  Returnează toate obiectele cu un nivel mai specific.

-M  Returnează toate nivelurile de obiecte mai specifice.

-q .I CUVÂNT_CHEIE
    Returnează informații despre server. CUVÂNT_CHEIE poate fi version pentru versiunea serverului, sources pentru lista surselor bazei de date sau types pentru lista tipurilor de obiecte acceptate.

-r  Dezactivează căutările recursive pentru informații de contact.

-R  Dezactivează următoarele trimiteri și forțează afișarea obiectului din copia locală de pe server.

-s .IR SURSA [ ,SURSA]...
    Solicită serverului să caute obiecte oglindite din SURSA. Sursele sunt delimitate prin virgulă, iar ordinea este semnificativă. Utilizați parametrul -q sources pentru a obține o listă de surse valide.

-t .I TIP
    Returnează șablonul pentru un obiect de tipul TIP.

-T .IR TIP [, TIP]...
    Restrânge căutarea la obiecte de tipul Tip. Mai multe tipuri sunt separate prin virgule.

-v .I TIP
    Returnează șablonul detaliat pentru un obiect de tipul TIP.

-x  Caută doar o potrivire exactă a prefixului adresei de rețea.

NOTE
Atunci când se interoghează serverele de registru lejere Verisign gTLD (de exemplu, .com, .net...) pentru un domeniu, programul va adăuga automat cuvântul cheie domain pentru a afișa numai înregistrările de domeniu. Pentru a afișa alte tipuri de înregistrări trebuie utilizate cuvintele cheie nameserver sau registrar.

La interogarea whois.arin.net pentru rețele IPv4 sau IPv6, lungimea măștii de rețea CIDR va fi eliminată automat din șirul de interogare.

La interogarea whois.nic.ad.jp pentru numere AS, programul va converti automat cererea în formatul corespunzător, inserând un spațiu după șirul AS.

Atunci când se interoghează whois.denic.de pentru nume de domenii și nu au fost specificate alte fanioane, programul va adăuga automat fanionul -T dn.

Atunci când se interoghează whois.dk-hostmaster.dk pentru nume de domenii și nu au fost specificate alte opțiuni, programul va adăuga automat opțiunea --show-handles.

Opțiunile de linie de comandă specifice RIPE sunt ignorate la interogarea serverelor non-RIPE. Acesta poate fi sau nu comportamentul dorit de utilizator. Atunci când se utilizează parametri de interogare nestandardizați, opțiunile din linia de comandă care nu trebuie interpretate de client trebuie să fie plasate după separatorul -- (care marchează începutul șirului de interogare).

Dacă există fișierul de configurare /etc/whois.conf, acesta va fi consultat pentru a găsi un server înainte de a aplica regulile normale. Fiecare linie a fișierului trebuie să conțină o expresie regulată care să fie comparată cu textul interogării și serverul „whois” care urmează să fie utilizat, separate prin spații albe. Domeniile IDN trebuie să utilizeze formatul ACE.

Protocolul whois nu specifică o codificare pentru caracterele care nu pot fi reprezentate prin ASCII, iar implementările variază foarte mult. În cazul în care programul știe că un anumit server utilizează o anumită codificare, dacă este necesar, acesta va decodifica ieșirea serverului în codificarea specificată de configurația regională curentă a sistemului.

Argumentele din linia de comandă vor fi întotdeauna interpretate în funcție de configurația regională curentă a sistemului și vor fi convertite în codificarea compatibilă IDN ASCII.

FIȘIERE
/etc/whois.conf

MEDIU

LANG
    La interogarea whois.nic.ad.jp și whois.jprs.jp se solicită text în limba engleză, cu excepția cazului în care variabilele de mediu LANG sau LC_MESSAGES specifică o valoare de configurație regională japoneză.

WHOIS_OPTIONS
    O listă de opțiuni care vor fi evaluate înaintea celor specificate în linia de comandă.

WHOIS_SERVER
    Acest server va fi interogat în cazul în care programul nu poate ghici unde se află anumite obiecte. Dacă variabila nu există, atunci va fi interogat whois.arin.net.

CONSULTAȚI ȘI
whois.conf(5).

RFC 3912: Specificația protocolului WHOIS.

RIPE Database Query Reference Manual: <http://www.ripe.net/data-tools/support/documentation/ripe-database-query-reference-manual>

ERORI
Este posibil ca programul să aibă depășiri de memorie tampon în analizatorul liniei de comandă: asigurați-vă că nu îi transmiteți date nesigure. Ar trebui rescris pentru a utiliza o bibliotecă dinamică de șiruri.

ISTORIC
Acest program urmărește îndeaproape interfața de utilizator a clientului „whois” dezvoltat la RIPE de Ambrose Magee și alții pe baza clientului BSD original.

AUTOR
Whois și această pagină de manual au fost scrise de Marco d'Itri <md@linux.it> și sunt licențiate în conformitate cu termenii Licenței Publice Generale GNU, versiunea 2 sau ulterioară.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.